### Function

# Gck uri_build

#### Declaration [src]

    gchar*
    gck_uri_build (
      GckUriData* uri_data,
      GckUriFlags flags
    )

#### Description [src]

Build a PKCS#11 URI. The various parts relevant to the flags specified will be used to build the URI.

#### Parameters

`uri_data` | `GckUriData`
| The info to build the URI from.
| The data is owned by the caller of the function.
`flags` | `GckUriFlags`
| The context that the URI is for.

#### Return value

Returns: | `gchar*`
| A newly allocated string containing a PKCS#11 URI.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.